body {
  display: flex;
  margin: 0;
}

main {
  flex: 1;
  min-width: 0;
}

pre {
  background-color: #161b22;
  border: 1px solid #30363d;
  border-radius: 8px;
  padding: 1rem;  
  margin: 1rem;
  overflow: auto;
  white-space: pre;
}

code {
  color: #e6edf3;
  font-size: 120%;
  line-height: 1.4;
  tab-size: 4;
}

.sidebar {
  display: flex;
  position: sticky;
  flex-direction: column;
  min-width: 0;
  max-width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  border-right: 1px solid white;
  overflow: hidden;
  transition:
    visibility 0s ease 0.3s,
    max-width 0.3s ease,
    transform 0.3s ease;
}

#toggle {
    display: none;
}

#hamburger {
  align-self: center;
}

#outside-hamburger {
  position: absolute;
  visibility: hidden;
  left: 1.5rem;
  transition: left 0.3s ease;
}

body:has(#toggle:checked) .sidebar {
  transform: translateX(-100%);
  visibility: hidden;
  max-width: 0;
}

body:has(#toggle:not(:checked)) .sidebar {
  transform: translateX(0%);
  visibility: visible;
  transition-delay: 0s;
}

body:has(#toggle:checked) #hamburger {
  visibility: hidden;
}

body:has(#toggle:checked) #outside-hamburger {
  display: inline;
  visibility: visible;
  left: 0;
}

body:has(#toggle:checked) h1 {
  margin-top: 4rem;
}

.section a{
  color: white;
  text-decoration: none;
  display: block;
  padding: 0.75rem;
}

h1, h2 {
    text-align: center;
}

p {
  font-size: large;
  margin-inline: auto;
  width: 95%;
}

li.section {
  background-color: #292c30;
  justify-content: space-between;
  border: 1px solid white;
  border-radius: 10px;
  margin: 0.5rem;
  font-size: large;
}

li.section:hover {
  border: 1px solid #3daee9;
}

li.section:active {
  border: 1px solid #3daee9;
}

li.current {
  background-color: #2f5368;
}

li.section:hover:active {
  background-color: #2f5368;
  border: 1px solid #3daee9;
}

li.section:focus-visible {
  border: 1px solid #3daee9;
  outline: none;
}

.sidebar ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

hr {
  border: none;
  height: 1px;
  background-color: white;
}

:root {
  color-scheme: only dark;
  background-color: rgb(11, 11, 11);
}